.. _sec-c-api-xnvme_lba:

===========
 xnvme_lba
===========



.. _sec-c-api-xnvme_lba-header:

Header
======

.. literalinclude:: ../../include/libxnvme_lba.h
   :language: c



.. _sec-c-api-xnvme_lba-enum:

Enums
=====



.. _sec-c-api-xnvme_lba-struct:

Structs
=======


.. _sec-c-api-xnvme_lba-struct-xnvme_lba_range:

xnvme_lba_range
---------------

.. doxygenstruct:: xnvme_lba_range
   :members:
   :undoc-members:



.. _sec-c-api-xnvme_lba-func:

Functions
=========


.. _sec-c-api-xnvme_lba-func-xnvme_lba_fpr:

xnvme_lba_fpr
-------------

.. doxygenfunction:: xnvme_lba_fpr


.. _sec-c-api-xnvme_lba-func-xnvme_lba_fprn:

xnvme_lba_fprn
--------------

.. doxygenfunction:: xnvme_lba_fprn


.. _sec-c-api-xnvme_lba-func-xnvme_lba_pr:

xnvme_lba_pr
------------

.. doxygenfunction:: xnvme_lba_pr


.. _sec-c-api-xnvme_lba-func-xnvme_lba_prn:

xnvme_lba_prn
-------------

.. doxygenfunction:: xnvme_lba_prn


.. _sec-c-api-xnvme_lba-func-xnvme_lba_range_fpr:

xnvme_lba_range_fpr
-------------------

.. doxygenfunction:: xnvme_lba_range_fpr


.. _sec-c-api-xnvme_lba-func-xnvme_lba_range_from_offset_nbytes:

xnvme_lba_range_from_offset_nbytes
----------------------------------

.. doxygenfunction:: xnvme_lba_range_from_offset_nbytes


.. _sec-c-api-xnvme_lba-func-xnvme_lba_range_from_slba_elba:

xnvme_lba_range_from_slba_elba
------------------------------

.. doxygenfunction:: xnvme_lba_range_from_slba_elba


.. _sec-c-api-xnvme_lba-func-xnvme_lba_range_from_slba_naddrs:

xnvme_lba_range_from_slba_naddrs
--------------------------------

.. doxygenfunction:: xnvme_lba_range_from_slba_naddrs


.. _sec-c-api-xnvme_lba-func-xnvme_lba_range_from_zdescr:

xnvme_lba_range_from_zdescr
---------------------------

.. doxygenfunction:: xnvme_lba_range_from_zdescr


.. _sec-c-api-xnvme_lba-func-xnvme_lba_range_pr:

xnvme_lba_range_pr
------------------

.. doxygenfunction:: xnvme_lba_range_pr

